CVE-2024-27103

CVSS 3.1 Score 6.1 of 10 (medium)

Details

Published Feb 28, 2024
Updated: Feb 29, 2024
CWE ID 79

Summary

CVE-2024-27103 is a vulnerability found in Querybook, a Big Data Querying UI. The vulnerability occurs when the search result is marked and highlighted using dangerouslySetInnerHTML, which can trigger an XSS payload if the highlighted result contains malicious code. This vulnerability is present in the "query auto-suggestion" feature, where the names of suggested tables are set with innerHTML, leading to an XSS vulnerability. The issue has been addressed in Querybook version 3.31.2, which includes a patch to fix the problem. This vulnerability poses a medium risk to organizations as it requires user interaction and can potentially compromise the integrity and confidentiality of data.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-27103 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options